Skip to main content
PATCH
Update a fee product

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fee_product_id
string<uuid>
required

Unique identifier of a fee product.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b96312"

Body

application/json

Fee product fields to update

description
string

Description of the fee product bundle.

Example:

"Fee schedule for premium checking accounts"

name
string

Name of the fee product bundle.

Example:

"Premium Checking Fee Schedule"

status
enum<string>
Available options:
active,
inactive
fee_config_ids
string<uuid>[]

Replace the full set of fee configs associated with this product. Omit to leave unchanged; provide an empty array to remove all.

Example:

Response

Updated fee product

name
string
required

Name of the fee product bundle.

Example:

"Premium Checking Fee Schedule"

status
enum<string>
required
Available options:
active,
inactive
creation_time
string<date-time>
required
read-only

Timestamp when the fee product was created.

Example:

"2024-01-15T10:00:00Z"

fee_config_ids
string<uuid>[]
required

IDs of fee configs associated with this product.

Example:
id
string<uuid>
required

Unique identifier for this fee product.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b96312"

last_updated_time
string<date-time>
required
read-only

Timestamp when the fee product was last updated.

Example:

"2024-06-01T12:00:00Z"

tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

description
string

Description of the fee product bundle.

Example:

"Fee schedule for premium checking accounts"